This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 827588 - Create a startup script when creating a new user instance (jboss-as-cp)
Create a startup script when creating a new user instance (jboss-as-cp)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: jboss-as (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 15:36 EDT by Dan Allen
Modified: 2014-07-24 23:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-04 07:12:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Allen 2012-06-01 15:36:21 EDT
Description of problem:

The jboss-as-cp command ends with instructions on how to start the user instance. However, once this terminal goes away, the user might forget the command to start the instance.

The jboss-as-cp script should create a startup script in the bin directory of the user instance. This script would simply execute the command that is currently listed in stdout upon executing jboss-as-cp.

Version-Release number of selected component (if applicable):

7.1.1-2.fc17-noarch

Let's assume the instance is created using the following command:

jboss-as-cp -l $HOME/jboss-as-user-instance -c standalone-web.xml

Here is a possible implementation of this script:

#!/bin/sh

DIRNAME=`dirname "$0"`
JBOSS_BASE_DIR=$DIRNAME/.. /usr/share/jboss-as/bin/standalone.sh -c standalone-web.xml

This script would be written located here:

$HOME/jboss-as-user-instance/bin/standalone.sh
Comment 1 Marek Goldmann 2012-06-04 06:37:12 EDT
That's a very good idea! I'm on it.
Comment 2 Marek Goldmann 2012-06-04 07:12:16 EDT
Fixed in upstream:

https://github.com/fedora-jboss-as/jboss-as-rpm/commit/503dc8cbb3953a25efb3204155d5e68f231c8b29

It'll be available in jboss-as-7.1.1-4.
Comment 3 Fedora Update System 2012-07-04 05:41:31 EDT
jboss-as-7.1.1-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jboss-as-7.1.1-4.fc17
Comment 4 Fedora Update System 2012-07-23 16:28:07 EDT
jboss-as-7.1.1-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.